Subject: Re: [PATCH] (3/23) sk98: /proc interface related changes

From: Christoph Hellwig <[email-masked]>
Date: Fri, 12 Nov 2004 16:26:42 +0000

On Thu, Nov 11, 2004 at 03:53:49PM -0800, Stephen Hemminger wrote:
> The /proc intereface can be cleaned up a lot:
> + Pass the device to through the proc data/seq_private hook.
> + No longer needs to have a list of network devices 
> + use seq_printf directly rather than indirection into a buffer
> + failure to create proc directory or interface should not
>   be fatal.
> + if PROC_FS not configured, let the stubs cause the necessary
>   code elimination rather than using #ifdef

This is still totally broken because dev->name may change between
registration and removal.  If a netdriver wants to use procfs file
per-adapter it needs to use an enumeration scheme independant of the
netdevice naming.  Or even better stop using procfs at all.